## ros-melodic-rqt-robot-monitor 0.5.13

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rqt_robot_monitor)
# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED)
catkin_package()
catkin_python_setup()

install(FILES
  bag_plugin.xml
  plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY resource
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

catkin_install_python(PROGRAMS scripts/rqt_robot_monitor
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-melodic-rqt-robot-monitor (0.5.13-1stretch) stretch; urgency=high

  * Fixed the functionality of the timeline_view

 -- Aaron Blasdel <ablasdel@gmail.com>  Sun, 06 Sep 2020 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.5.12-1stretch) stretch; urgency=high

  * use catkin_install_python instead of install

 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 01 Jun 2020 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.5.11-1stretch) stretch; urgency=high

  * add Python 3 conditional dependencies

 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 12 May 2020 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.5.10-1stretch) stretch; urgency=high

  * updated package to format 3
  * added mutex and checks to fix (#13 <https://github.com/ros-visualization/rqt_robot_monitor/issues/13>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Sat, 18 Apr 2020 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.5.9-1stretch) stretch; urgency=high

  * refactored code and made signaling more efficient
  * stale messages appear now in the error pane

 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 23 Jul 2019 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.5.8-1stretch) stretch; urgency=high

  * Fix apparent threading bug in timeline_view (#5 <https://github.com/ros-visualization/rqt_robot_monitor/pull/5>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 25 Sep 2017 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.5.7-1stretch) stretch; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 25 Apr 2017 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.5.6-1stretch) stretch; urgency=high

  * use Python 3 compatible syntax (#121 <https://github.com/ros-visualization/rqt_robot_plugins/pull/121>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 23 Jan 2017 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.5.5-1stretch) stretch; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 01 Nov 2016 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.5.4-1stretch) stretch; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Sun, 18 Sep 2016 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.5.3-1stretch) stretch; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Sun, 15 May 2016 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.5.2-1stretch) stretch; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 28 Apr 2016 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.5.1-1stretch) stretch; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 27 Apr 2016 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.5.0-1stretch) stretch; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#101 <https://github.com/ros-visualization/rqt_robot_plugins/pull/101>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 26 Apr 2016 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.4.3-1stretch) stretch; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 07 Mar 2016 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.4.2-1stretch) stretch; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 23 Jul 2015 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.4.1-1stretch) stretch; urgency=high

  * fix installing missing bag_plugin xml (#288 <https://github.com/ros-visualization/rqt_common_plugins/issues/288>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 29 Apr 2015 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.4.0-1stretch) stretch; urgency=high

  * rewrite rqt_robot_monitor (#3 <https://github.com/ros-visualization/rqt_robot_plugins/issues/3>, #9 <https://github.com/ros-visualization/rqt_robot_plugins/issues/9>, #32 <https://github.com/ros-visualization/rqt_robot_plugins/issues/32>, #33 <https://github.com/ros-visualization/rqt_robot_plugins/issues/33>, #71 <https://github.com/ros-visualization/rqt_robot_plugins/issues/71>)
  * make diagnostics_agg a relative topic (#32 <https://github.com/ros-visualization/rqt_robot_plugins/issues/32>)
  * add rqt_bag plugin
  * update script to use full plugin name

 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 04 Nov 2014 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.3.7-1stretch) stretch; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Sun, 17 Aug 2014 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.3.6-1stretch) stretch; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 10 Jul 2014 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.3.5-1stretch) stretch; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Sun, 01 Jun 2014 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.3.4-1stretch) stretch; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 06 May 2014 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.3.3-1stretch) stretch; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 27 Jan 2014 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.3.2-1stretch) stretch; urgency=high

  * add groups for rqt plugins (ros-visualization/rqt_common_plugins#167 <https://github.com/ros-visualization/rqt_common_plugins/issues/167>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 07 Jan 2014 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.3.1-1stretch) stretch; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 08 Oct 2013 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.3.0-1stretch) stretch; urgency=high

  * fix indication when not receiving deagnostic data (#35 <https://github.com/ros-visualization/rqt_robot_plugins/issues/35>)
  * fix scrolling of inspection window on new data (#34 <https://github.com/ros-visualization/rqt_robot_plugins/issues/34>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 27 Aug 2013 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.2.16-1stretch) stretch; urgency=high

  * First public release into Hydro

 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 08 Jul 2013 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.2.15-1stretch) stretch; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 24 Apr 2013 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.2.14-1stretch) stretch; urgency=high





=== debian/control ===
Source: ros-melodic-rqt-robot-monitor
Section: misc
Priority: optional
Maintainer: Aaron Blasdel <ablasdel@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python-setuptools, ros-melodic-catkin
Homepage: http://wiki.ros.org/rqt_robot_monitor
Standards-Version: 3.9.2

Package: ros-melodic-rqt-robot-monitor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-rospkg-modules, ros-melodic-diagnostic-msgs, ros-melodic-python-qt-binding (>= 0.2.19), ros-melodic-qt-gui, ros-melodic-qt-gui-py-common, ros-melodic-rospy, ros-melodic-rqt-bag, ros-melodic-rqt-gui, ros-melodic-rqt-gui-py, ros-melodic-rqt-py-common
Description: rqt_robot_monitor displays diagnostics_agg topics messages that are published by diagnostic_aggregator.
 rqt_robot_monitor is a direct port to rqt of robot_monitor. All diagnostics are fall into one of three tree panes depending on the status of diagnostics (normal, warning, error/stale). Status are shown in trees to represent their hierarchy. Worse status dominates the higher level status. Ex. 'Computer' category has 3 sub devices. 2 are green but 1 is error. Then 'Computer' becomes error. You can look at the detail of each status by double-clicking the tree nodes. Currently re-usable API to other pkgs are not explicitly provided.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rqt-robot-monitor//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-rqt-robot-monitor 0.5.14

=== debian/changelog ===
ros-melodic-rqt-robot-monitor (0.5.14-1bionic) bionic; urgency=high

  * Improve error and warning lists by only showing leaf-elements
  * Backported alternative view.

 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 15 Mar 2022 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.5.13-1bionic) bionic; urgency=high

  * Fixed the functionality of the timeline_view

 -- Aaron Blasdel <ablasdel@gmail.com>  Sun, 06 Sep 2020 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.5.12-1bionic) bionic; urgency=high

  * use catkin_install_python instead of install

 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 01 Jun 2020 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.5.11-1bionic) bionic; urgency=high

  * add Python 3 conditional dependencies

 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 12 May 2020 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.5.10-1bionic) bionic; urgency=high

  * updated package to format 3
  * added mutex and checks to fix (#13 <https://github.com/ros-visualization/rqt_robot_monitor/issues/13>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Sat, 18 Apr 2020 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.5.9-1bionic) bionic; urgency=high

  * refactored code and made signaling more efficient
  * stale messages appear now in the error pane

 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 23 Jul 2019 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.5.8-1bionic) bionic; urgency=high

  * Fix apparent threading bug in timeline_view (#5 <https://github.com/ros-visualization/rqt_robot_monitor/pull/5>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 25 Sep 2017 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.5.7-1bionic) bionic; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 25 Apr 2017 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.5.6-1bionic) bionic; urgency=high

  * use Python 3 compatible syntax (#121 <https://github.com/ros-visualization/rqt_robot_plugins/pull/121>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 23 Jan 2017 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.5.5-1bionic) bionic; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 01 Nov 2016 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.5.4-1bionic) bionic; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Sun, 18 Sep 2016 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.5.3-1bionic) bionic; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Sun, 15 May 2016 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.5.2-1bionic) bionic; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 28 Apr 2016 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.5.1-1bionic) bionic; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 27 Apr 2016 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.5.0-1bionic) bionic; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#101 <https://github.com/ros-visualization/rqt_robot_plugins/pull/101>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 26 Apr 2016 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.4.3-1bionic) bionic; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 07 Mar 2016 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.4.2-1bionic) bionic; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 23 Jul 2015 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.4.1-1bionic) bionic; urgency=high

  * fix installing missing bag_plugin xml (#288 <https://github.com/ros-visualization/rqt_common_plugins/issues/288>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 29 Apr 2015 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.4.0-1bionic) bionic; urgency=high

  * rewrite rqt_robot_monitor (#3 <https://github.com/ros-visualization/rqt_robot_plugins/issues/3>, #9 <https://github.com/ros-visualization/rqt_robot_plugins/issues/9>, #32 <https://github.com/ros-visualization/rqt_robot_plugins/issues/32>, #33 <https://github.com/ros-visualization/rqt_robot_plugins/issues/33>, #71 <https://github.com/ros-visualization/rqt_robot_plugins/issues/71>)
  * make diagnostics_agg a relative topic (#32 <https://github.com/ros-visualization/rqt_robot_plugins/issues/32>)
  * add rqt_bag plugin
  * update script to use full plugin name

 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 04 Nov 2014 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.3.7-1bionic) bionic; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Sun, 17 Aug 2014 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.3.6-1bionic) bionic; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 10 Jul 2014 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.3.5-1bionic) bionic; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Sun, 01 Jun 2014 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.3.4-1bionic) bionic; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 06 May 2014 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.3.3-1bionic) bionic; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 27 Jan 2014 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.3.2-1bionic) bionic; urgency=high

  * add groups for rqt plugins (ros-visualization/rqt_common_plugins#167 <https://github.com/ros-visualization/rqt_common_plugins/issues/167>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 07 Jan 2014 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.3.1-1bionic) bionic; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 08 Oct 2013 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.3.0-1bionic) bionic; urgency=high

  * fix indication when not receiving deagnostic data (#35 <https://github.com/ros-visualization/rqt_robot_plugins/issues/35>)
  * fix scrolling of inspection window on new data (#34 <https://github.com/ros-visualization/rqt_robot_plugins/issues/34>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 27 Aug 2013 15:00:00 -0000

ros-melodic-rqt-robot-monitor (0.2.16-1bionic) bionic; urgency=high

  * First public release into Hydro

 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 08 Jul 2013 15:00:00 -0000
